---
rank: 36
title: From tech person to people person
date: 2016-05-17T16:28:40.932Z
layout: post
path: /from-tech-person-to-people-person/
next: /avoid-these-abused-words/
previous: /a-functional-distinction/
tags:
  - speaking
  - software
  - ideas
  - star-wars
---

<iframe width="560" height="315" src="https://www.youtube.com/embed/pmIwRnujTIM" frameborder="0" allowfullscreen></iframe>

_[This is an adaptation of a talk I gave at the [Seattle Software Craftsmanship meetup in May 2014](http://www.meetup.com/seattle-software-craftsmanship/events/159243162/). [Direct link to screencast](https://youtu.be/pmIwRnujTIM). [Slides](https://github.com/scottnonnenberg/social-engineering-for-good).]_

I've been on both sides: made fun of as a geeky computer enthusiast, and derided as useless [project management overhead](https://scottnonnenberg.com/work/#microsoft-2010-q-3-to-2011-q-3). Both sides of the technical divide are frustrated and unhappy. How to bridge that gap? I've got some ideas for my fellow tech folks...

<div class='fold'></div>

![crab beanie baby](https://static.sinap.ps/blog/2016/05_may/people_person/crab.jpg)

## People Matter

For the longest time, I didn't want to deal with people. They were frustrating! I wanted just the technical problems, because I was really good with those. I was a _tech person_, not a _people person_.

Once, in college, after a group project was over, the group gave me a crab beanie baby to commemorate my attitude. It didn't have much of an impact because I was frustrated too.

Then I graduated and started at Microsoft. As my time there progressed it became clear that I couldn't ignore it any longer. I needed to deal better with people to do my job well, let alone be promoted! Even in Microsoft's [notoriously harsh culture](http://www.businessinsider.com/microsoft-is-filled-with-abusive-managers-and-overworked-employees-says-tell-all-book-2012-5), I was called out as "abrasive." From my early-2005 mid-year review:

> _"Scott can still work on his communication tone to make it less abrasive"_

I definitely had some work to do.

## The Challenge

I had to break through that _tech person_ label. I wasn't a _people person_, but perhaps it isn't innate? Perhaps it's a skill to be learned?

It was either that or give up, so I accepted the challenge. I became a focused student of human behavior.

But you can't learn more about people without interacting with them. So let's start by making sure we have a good approach in place for communicating with those around us.

## The Three C's of Communication

I'm pretty proud of this little system. It joins [great company in alliteration](https://en.wikipedia.org/wiki/3C%27s_model). Maybe that will help you remember it?

### 1. Clarity

First, we have to make sure that messages are received accurately in both directions. You'll want to _define terms_ because human language is not precise like computer languages. It's very easy for one key misunderstood term to change the entire meaning of a statement.

Once you have the component pieces down, you can _summarize with paraphrasing_ (or request it from your conversation partner). By trying to express the same thing with different words, you can confirm overall meaning. Now you're on the same page. Lastly, _agree on specific next steps_ to make sure you'll be on the same page tomorrow.

In a business setting, this will likely involve _meeting notes_. I found good success by [editing my initial agenda for the meeting on the projector during the meeting](/12-things-i-learned-from-microsoft/#3-how-to-run-good-meetings): real-time paraphrasing and creation of next steps. I would then send that document out as my meeting notes.

### 2. Confidence

In technology we like to pride ourselves on our purity of intellect. [Just the ideas, please, none of that pesky ego or emotion](/open-source-and-feelings-the-challenge/#feeling-concern). But it turns out that any message loses impact if it isn't presented with confidence. You'll want to put _authority_ behind your words, showing that you believe in what you're saying, that you care.

To improve your authoritative presence, speak evenly and loudly. Use the [right amount of _eye contact_](http://lifehacker.com/make-the-right-amount-of-eye-contact-with-the-60-percen-1732699885) - too much is awkward, too little makes you seem submissive. If you work on a computer a lot, you'll probably need to [work on your _posture_](/cycling-computers-and-posture/). You are likely [slumped over](https://www.google.com/search?q=slumped+over+posture&espv=2&biw=1916&bih=962&source=lnms&tbm=isch&sa=X&ved=0ahUKEwjdwajju63MAhVI9mMKHWU9DqIQ_AUIBigB#imgrc=_), which makes you look sad or worried. Consider going to a massage or physical therapist. They can help you determine what needs improvement, and give you a plan of exercises.

It often helps to find someone in your community who seems authoritative to you. Figure out what works for them and some of it might just work for your too.

### 3. Caring

Lastly, and probably the most important, you need to care about your conversation partner. You need to treat them like a human with a real life, real needs. You can really scare people by being authoritative without also radiating positivity.

You can convey this with friendly _facial expressions_, and appropriate _tones of voice_ for the situation. Now, I know that developers are bad actors, because I am one. So I recommend that you start on the inside to improve your outward appearance: _be less judgmental_. Yes, you're frustrated. But everyone makes mistakes, even you. You can even work on judging yourself less!

To show that you care about someone, you also need to speak in their language. You can't preach at them, you need to _influence_. Use words your conversation partner already understands. If they are not technical, use non-technical words. Connect to things they already care about, goals they already have. The more high-pressure the situation, the less of an opportunity you'll have to try to bring them into your context. Go to them where they are.

You've tuned your mannerisms and words. Now for your overall behavior. You already know [The Golden Rule](https://en.wikipedia.org/wiki/Golden_Rule). But you don't want that. It's really not very useful, because everyone is different! What you really want is [The Platinum Rule](http://www.urbandictionary.com/define.php?term=Platinum+Rule):

> _"Treat others how they want to be treated."_

So simple and so powerful. But how do others want to be treated, exactly? We need to figure that out.

<a class="plain" href="/star-wars-cards/"><img src="https://static.sinap.ps/blog/2016/05_may/people_person/captainhansolo.gif" alt="Han Solo Star Wars CCG card"></a>

## Mental models for people

Now is where we can shift into student mode again. We need to treat each person as a very complex system. The most complex system you've ever debugged. And you how did you debug it? You came up with mental models, tested those models with small experiments with the system, then modified your models based on the new data collected.

You confidently approach any software system with this plan in mind, right? Let's see if we can put a similar system in place for understanding people.

### 1. Build

You already have working models of human behavior in your head right now.

Do you remember _Star Wars: A New Hope_, when Han Solo leaves with his reward after saving Princess Leia from the Death Star? And everyone gets angry with him? Do you also remember the surprise you felt when he came back to the battle at the Death Star and saved Luke from being shot down by Darth Vader?

Why did you feel surprise? It's because you had a _mental model_ of Han Solo's behavior. You are led to believe that he is an anti-authority 'rascal,' only in it for the money. But he comes back!

In your life, as you interact with people, you build up these models naturally. I encourage you to make this explicit. Here are some factors you might consider:

* What kind of person are they?
* What do they know? What don't they know?
* What mindset might cause their current behavior?
* What are they trying to achieve with X action? Generally?
* [What's the larger context?](/systems-and-incentives/)
    * Incentives like deadlines or manager desires
    * Team attitudes and norms
    * Historical experiences

### 2. Refine

Now you have more detailed models than ever before, because you're thinking more rigorously. What next? We can't talk to Han Solo about his intentions, but we can talk to those around us about it. You can make it a game.

Talk to your friends about characters from fiction: movies, TV shows, books. Why did character X do Y? Does that seem consistent with the situation and past behavior? Once you get more advanced, you can start thinking about the writer and their biases - why did they write it that way?

You can also do this with public or historical figures! Or people you know or know of. Just remember to keep it balanced. This is another place where it's very easy to be judgemental.

The more variety you have in the people you talk to about your models, the better. You'll discover your biases and the biases of others. Remember in _Star Wars: Empire Strikes Back_, when Leia yells out "I love you!" to Han Solo, who is just about to be frozen in carbonite? Why did Han Solo say "I know" instead of the expected "I love you" in response? Depending on who you talk to, you'll get different responses. Some say that he's that same selfish rascal. Others suggest that he thought he might die during the freezing, and wanted to save Leia from feeling pain.

### 3. Verify

The best way to break through biases is to gather real data. So we move from fictional characters back into the real world, where we can ask questions. With a mental model in place, try asking some questions:

* Verify specific aspects of your model: what they know, their larger context
* Dig into their thought processes: "How did you approach X?"
* Get more detail on something mentioned in passing: "Tell me more about X"
* Explore their self-image: "Why did you do X?"

The question "Why?" is hugely useful because you can continue asking it until you get the core motivations and principles.

When trying to understand customers or clients, you'll often be presented with their idealized self-image, how they would like to be. These kinds of questions can help uncover true priorities, since they get at the physical expression of those priorities:

* Ask for recent, specific stories instead of hypotheticals
* Ask about how they use time or money

At this point we need to check in with the _C's of Communication_. You need _Clarity_ here, because people might use key terms very differently. You need _Caring_ because these questions can very quickly put people on the defensive. Act like you care about them as a person to confirm that you are on their side. If you are talking about negative situations, stories about your similar experiences can sometimes help.

## Why do all this?

I gave you a reason why I needed to figure all of this out at the beginning - I needed it to do my [job as a Program Manager at Microsoft](/introversion/#beyond-labels). This can help you in your career too, even as a programmer. You'll work better with your team and the other teams you interact with. But it goes far beyond that:

* *Understanding entire systems*
    * How a set of teams within an organization interact with each other
    * How the overall business works
    * How your company's overall market works
* *Predicting emergent behavior* - understanding all the players well enough to model the downstream impact of a change over time.
* *Software usability* - understanding the user well enough to help them achieve their goals quickly and easily.
* *Entrepreneurship* - understanding potential customers well enough so you can present to them a solution to their problems that they'll pay for.

After all, why do we develop software in the first place? For people!

## Feedback Loops

Once more we come back to [this very useful mechanism](/the-why-of-agile/#feedback-loops). The system I've described is a positive feedback loop: you assemble mental models, refine those models, then gather data which goes back to make the models better. Put this cycle in place and your people skills will get better with every new bit of data collected, every new situation you experience.

It worked for me! I wouldn't say I'm a 'people person,' but I'm doing a whole lot better. I'd love to hear about your thoughts and experiences with some of this stuff.

Or talk about Han Solo. :0)

